/* ///////////// */
/* MEDIA QUERIES  */
/* ///////////// */

@media(max-width: 1300px) {
    .navbar__navbar {
        width: 90%;
    }

    .header__img {
        height: 85vh;
    }
    
    .list__item {
        margin: 2rem 3rem;
    }

    .container__main {
        width: 70%;
    }

    .box__left img {
        width: 372px;
    }

    .box__right {
        align-items: center;
    }

    .right__title {
        text-align: center;
        font-size: 2.8rem;
    }

    .carousel-item img {
        height: 36vh;
    }

    .footer__container {
        width: 70%;
    }
}

@media(max-width: 1050px) {

    .navbar__navbar {
        width: 85%;
    }

    .logo__item img {
        width: 8rem;
        height: 8rem;
    }

    .header__title {
        font-size: 5.7rem;
    }

    .container__header--title {
        top: 0;
    }

    .header__img {
        height: 78vh;
     }

    .list__item {
        margin: 2rem 1.3rem;
    }
    
    .main__title {
        font-size: 3rem;
    }

    .container__main {
        width: 86%;
    }

    .main__saturday {
        width: 90%;
    }

    .main__img--container {
        width: 350px;
    }

    .navbar__container-logo {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    .navbar__mobile-btn {
        display: flex;
        height: 12rem;
        align-items: center;
    }

    .navbar__menu, .navbar__button {
        display: none;
    }

    .navbar__button {
        height: 12rem;
    }

    .mobile-btn__wrap {
        height: 6rem;
        color: var(--primary-color);
        width: 6rem;
        background-color: var( --primary-color);
        border: none;
        cursor: pointer;
        border-radius: 3rem;
    }

    .mobile-btn__line {
        display: block;
        width: 3rem;
        height: 0.4rem;
        background-color: var(--primary-color-text);
        margin: 0.6rem auto;
        border-radius: 1rem;
        transition: all 300ms ease-in-out;
        filter: brightness(0.9);
    }

    .sidebar__logo {
        width: 95%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin: 3rem 0 4rem 0;
    }

    .menu__mobile--item {
        color: var(--primary-color-text);
        font-weight: 500;
        font-size: 1.4rem;
    }

    .menu__mobile-list {
        display: flex;
        flex-direction: column;
        align-items: start;
        justify-content: space-evenly;
        height: 30vh;
        color: var(--primary-color-text);
        font-weight: 500;
    }

    .menu__mobile-list li {
        width: 100%;
        padding-bottom: 1rem;
        border-bottom: 0.5px solid #e3e6e9;
    }

    .menu__active {
        color: var(--secondary-color);
    }

    .footer__sidebar {
        position: absolute; 
        bottom: 20px; 
        left: 35px; 
        margin: 0 auto;
    }

    .top__line {
        width: 95%;
    }

    .carousel-item img {
        height: 36vh;
    }

    .footer__container {
        width: 86%;
    }

}

@media(max-width: 960px) {

    .container__navbar {
        height: 12rem;
    }
    .carousel-item img {
        height: 30vh;
    }
}

@media(max-width: 767px) {
    .container__header--title {
        height: 72vh;
    }

    .header__img {
        height: 62vh;
    }

    .header__title {
        font-size: 4.7rem;
        text-align: center;
    }

    .video {
        height: 75vh;
    }

    .main__box {
        flex-direction: column;
        align-items: center;
    }

    .box__left img {
        margin-bottom: 3rem;
    }

    .main__happy-hour {
        width: 90%;
        margin: 0 auto;    
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;    
    }

    .paragraph__text,
    .main__paragraph--4 {
    text-align: center;
    }

    .carousel-item img {
        height: 22vh;
    }

    .button__item-happy-hour {
        margin: 3rem auto 2rem;
    }

    .main__title--happy-hour {
        margin-top: 3rem;
    }

    .main__grid--happy-hours {
        flex-direction: column;
        align-items: center;
        margin-top: 6rem;
    }

    .main__grid--happy-hours img {
        width: 85%;
        margin-bottom: 2rem;
    }

    .margin-mq-6 {
        margin-bottom: 0;
        padding-top: 7rem;
    }
}

@media(max-width: 640px) {
    .header__title {
        font-size: 3.7rem;
    }

    .main__title,
    .right__title {
        font-size: 2.5rem;
    }
    
    .header__img {
        height: 100%;
        padding-top: 6rem;
    }

    .container__header--title {
        height: 72vh;
    }

    .video {
        height: 62vh;
    }

    .main__container {
        margin: 0 0;
    }

    .carousel-item img {
        height: 18vh;
    }

    .right__paragraph,
    .right__subtitle {
        text-align: center;
    }

    .main__grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 2rem;
    }

    .footer__container {
        width: 95%;
    }

}

@media(max-width: 580px) {
    .footer__container {
        justify-content: space-evenly;
        padding-bottom: 3rem;
    }

    .box__left {
        margin-right: 0;
    }
}

@media(max-width: 480px) {
    .header__img {
        padding-top: 0;
        padding-top: 6rem;
    }

    .container__header {
        height: 75vh;
    }

    .image {
        height: 75vh;
    }

    .container__header--title {
        height: 66vh;
    }
    
    .header__title {
        font-size: 3.5rem;
    }
    .container__video video {
        filter: blur(0);
    }

    .main__title {
        margin-bottom: 3rem;
    }

    .main__saturday {
        margin-top: 0;
    }

    .video {
        height: 53vh;
    }
    
    .main__next-saturday img {
        width: 85%;
    }

    .main__happy-hour--right {
        width: 100%;
        text-align: center;
    }

    .carousel-item img {
        height: 25vh;
    }

    .d-none-480 {
        display: none;
    }

    .p-t-mq-480 {
        padding-top: 12rem;
    }

    .button__sunday__social {
        width: 55%;
    }

    .container__main {
        margin: 3rem auto;
    }

    .main__grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .footer__footer {
        padding: 2rem 0;
    }

    .footer__schedule {
        margin-top: 3rem;
    }
 }